Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassification.cs	(revision 14711)
@@ -38,5 +38,5 @@
   [Item("Support Vector Classification (SVM)", "Support vector machine classification data analysis algorithm (wrapper for libSVM).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisClassification, Priority = 110)]
-  [StorableClass("F5772433-8F5E-4AC0-806E-E6AFFB63E96E")]
+  [StorableType("F5772433-8F5E-4AC0-806E-E6AFFB63E96E")]
   public sealed class SupportVectorClassification : FixedDataAnalysisAlgorithm<IClassificationProblem> {
     private const string SvmTypeParameterName = "SvmType";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorClassificationSolution.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorClassificationSolution", "Represents a support vector solution for a classification problem which can be visualized in the GUI.")]
-  [StorableClass("55714C0C-40CF-4D36-9511-D6245E81C1E3")]
+  [StorableType("55714C0C-40CF-4D36-9511-D6245E81C1E3")]
   public sealed class SupportVectorClassificationSolution : ClassificationSolution, ISupportVectorMachineSolution {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorMachineModel.cs	(revision 14711)
@@ -35,5 +35,5 @@
   /// Represents a support vector machine model.
   /// </summary>
-  [StorableClass("0AB8F0B0-DB90-488D-9EB4-CB7D81566655")]
+  [StorableType("0AB8F0B0-DB90-488D-9EB4-CB7D81566655")]
   [Item("SupportVectorMachineModel", "Represents a support vector machine model.")]
   public sealed class SupportVectorMachineModel : NamedItem, ISupportVectorMachineModel {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegression.cs	(revision 14711)
@@ -38,5 +38,5 @@
   [Item("Support Vector Regression (SVM)", "Support vector machine regression data analysis algorithm (wrapper for libSVM).")]
   [Creatable(CreatableAttribute.Categories.DataAnalysisRegression, Priority = 110)]
-  [StorableClass("11DB1DEB-3B8D-44F0-B522-28328E57FF4B")]
+  [StorableType("11DB1DEB-3B8D-44F0-B522-28328E57FF4B")]
   public sealed class SupportVectorRegression : FixedDataAnalysisAlgorithm<IRegressionProblem> {
     private const string SvmTypeParameterName = "SvmType";
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.DataAnalysis/3.4/SupportVectorMachine/SupportVectorRegressionSolution.cs	(revision 14711)
@@ -30,5 +30,5 @@
   /// </summary>
   [Item("SupportVectorRegressionSolution", "Represents a support vector solution for a regression problem which can be visualized in the GUI.")]
-  [StorableClass("43C20E72-7AF9-42EF-821B-2040413065CC")]
+  [StorableType("43C20E72-7AF9-42EF-821B-2040413065CC")]
   public sealed class SupportVectorRegressionSolution : RegressionSolution, ISupportVectorMachineSolution {
 
